---
obj: application
repo: https://github.com/XAMPPRocky/tokei
---
# tokei
Count your code
Usage: `tokei [OPTIONS] [--] [input]...`

## Options
| Option                       | Description                                                                                                                        |
| ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `-e, --exclude <exclude>...` | Ignore all files & directories matching the pattern                                                                                |
| `-f, --files`                | Will print out statistics on individual files                                                                                      |
| `--hidden`                   | Count hidden files                                                                                                                 |
| `-l, --languages`            | Prints out supported languages and their extensions                                                                                |
| `--no-ignore`                | Don't respect ignore files (.gitignore, .ignore, etc.)                                                                             |
| `-o, --output <output>`      | Outputs Tokei in a specific format. Compile with additional features for more format support. \[possible values: cbor, json, yaml] |
| `-t, --types <types>`        | Filters output by language type, separated by a comma. i.e. -t=Rust,Markdown                                                                                                                                   |
